-------------------------------------------------------------------------------
--|> DataTables
-- Static Tables of data used for things like parsing spell info, etc
-------------------------------------------------------------------------------
--|> UPVALUE GLOBALS
-------------------------------------------------------------------------------
local weizPVP = weizPVP
-------------------------------------------------------------------------------
weizPVP.AbilityLevelDB = {}

--=> CREATE ABILITY LEVEL DB
-----------------------------------------------------------------------
function weizPVP:CreateAbilityLevelDB()
	weizPVP.AbilityLevelDB = {
		["Swiftmend"] = 12,
		["Totem Mastery"] = 30,
		["Cleanse"] = 22,
		["Shadow Word: Pain"] = 3,
		["Skull Bash"] = 70,
		["Eye for an Eye"] = 75,
		["Anomalous Impact"] = 110,
		["Shadowstrike"] = 12,
		["Frostbite"] = 40,
		["Exsanguinate"] = 90,
		["Dance of Death"] = 110,
		["Incanter's Flow"] = 45,
		["Sunblaze"] = 110,
		["Call Fel Lord"] = 40,
		["Inquisition"] = 100,
		["Blazing Barrier"] = 26,
		["Holy Word: Chastise"] = 16,
		["Incarnation: King of the Jungle"] = 75,
		["Fireball"] = 10,
		["Arcane Intellect"] = 58,
		["Burst of Life"] = 110,
		["Beacon of Faith"] = 100,
		["Spirit of the Redeemer"] = 40,
		["Explosive Shot"] = 30,
		["Ferocious Wound"] = 40,
		["Martyr's Breath"] = 110,
		["Hand of the Protector"] = 75,
		["Avert Harm"] = 40,
		["Chi Burst"] = 15,
		["Overpowered Rune Weapon"] = 57,
		["Camouflage"] = 45,
		["Inspiring Beacon"] = 110,
		["Channel Demonfire"] = 100,
		["Spitting Cobra"] = 100,
		["Aura of Sacrifice"] = 60,
		["Unerring Vision"] = 110,
		["Soulmonger"] = 110,
		["Wing Clip"] = 4,
		["Reverse Magic"] = 101,
		["Portal: Dalaran - Northrend"] = 74,
		["Flames of Alacrity"] = 110,
		["Photosynthesis"] = 100,
		["Blinding Light"] = 45,
		["Healing Tide Totem"] = 80,
		["Circle of Healing"] = 75,
		["Festering Strike"] = 55,
		["Demoralizing Roar"] = 40,
		["Permeating Glow"] = 110,
		["Pestilent Pustules"] = 60,
		["Cleanse Toxins"] = 22,
		["Lay on Hands"] = 55,
		["Master of Shadows"] = 100,
		["Portal: Stormshield"] = 92,
		["Victory Rush"] = 5,
		["Disable"] = 16,
		["Sprint"] = 32,
		["Nourish"] = 40,
		["Pyroclasm"] = 100,
		["Duel"] = 40,
		["Hot Hand"] = 15,
		["Shadowstep"] = 22,
		["Thermal Void"] = 100,
		["Sudden Death"] = 15,
		["Feral Spirit"] = 34,
		["Divine Judgment"] = 60,
		["Fan of Knives"] = 63,
		["Deafening Crash"] = 110,
		["Permafrost"] = 75,
		["Critical Flash"] = 110,
		["Remorseless Winter"] = 57,
		["Deathchill"] = 57,
		["Nether Tempest"] = 90,
		["Open Palm Strikes"] = 110,
		["Steady Focus"] = 60,
		["Asphyxiate"] = 58,
		["Healing Stream Totem"] = 14,
		["Electropotence"] = 110,
		["Displacement"] = 48,
		["Inner Peace"] = 90,
		["Charge"] = 3,
		["Protector of the Grove"] = 40,
		["Poison Bomb"] = 100,
		["Divine Purpose"] = 100,
		["Ebon Fever"] = 57,
		["Wildfire Cluster"] = 110,
		["Touch of Karma"] = 55,
		["Supreme Commander"] = 110,
		["Steel Trap"] = 60,
		["Killing Machine"] = 56,
		["Freeze"] = 32,
		["Heartstop Aura"] = 57,
		["Omen of Clarity"] = 48,
		["Rapid Mending"] = 40,
		["Soul Strike"] = 60,
		["Overrun"] = 40,
		["Thirsting Blades"] = 110,
		["Lightningburn"] = 110,
		["Teleport: Theramore"] = 17,
		["Concussive Shot"] = 4,
		["Thrill of the Hunt"] = 60,
		["Bloodseeker"] = 60,
		["Murderous Intent"] = 57,
		["Infinite Fury"] = 110,
		["Incarnation: Guardian of Ursoc"] = 75,
		["Bonestorm"] = 100,
		["Demonic Core"] = 30,
		["Control the Mists"] = 40,
		["Rewind Time"] = 40,
		["Blessing of Sanctuary"] = 40,
		["Animal Companion"] = 15,
		["Barkskin"] = 26,
		["Sacred Flame"] = 110,
		["Void Origins"] = 40,
		["Vampiric Blood"] = 60,
		["Glacial Insulation"] = 30,
		["Grove Tending"] = 110,
		["Mana Rift"] = 101,
		["All Will Serve"] = 56,
		["Frozen Pulse"] = 60,
		["Whirlwind"] = 40,
		["Blood Plague"] = 55,
		["Tracker's Net"] = 40,
		["Niuzao's Essence"] = 40,
		["Silence"] = 52,
		["Clan Defender"] = 40,
		["Raking Talons"] = 110,
		["Grimoire of Sacrifice"] = 90,
		["Purify"] = 22,
		["Fel Rush"] = 98,
		["Blessing of Sacrifice"] = 56,
		["Celestial Downpour"] = 40,
		["Mastery: Combo Strikes"] = 78,
		["Storm of Destruction"] = 40,
		["Bloodsport"] = 110,
		["Pandemic"] = 57,
		["Mastery: Harmony"] = 78,
		["Killing Spree"] = 100,
		["Defile"] = 90,
		["Bones of the Damned"] = 110,
		["Soul Fire"] = 15,
		["Frozen Tempest"] = 110,
		["Master Poisoner"] = 15,
		["Voracious"] = 90,
		["Packed Ice"] = 110,
		["Howling Blast"] = 55,
		["Vampiric Embrace"] = 28,
		["Poisoned Knife"] = 10,
		["Frostwyrm's Fury"] = 90,
		["Flap"] = 40,
		["Blood Boil"] = 56,
		["Razor Spikes"] = 99,
		["Cauterize"] = 52,
		["Disentanglement"] = 40,
		["Lunar Empowerment"] = 110,
		["Eternal Rune Weapon"] = 110,
		["First Blood"] = 106,
		["Dying Stars"] = 40,
		["Call Pet 2"] = 13,
		["Mastery: Echo of Light"] = 78,
		["Ring of Peace"] = 60,
		["Ursoc's Endurance"] = 110,
		["Teleport: Dalaran - Broken Isles"] = 71,
		["Uplifted Spirits"] = 110,
		["Maelstrom Controller"] = 3,
		["Ravager"] = 100,
		["Teleport: Orgrimmar"] = 17,
		["Deadly Brew"] = 40,
		["Depth of the Shadows"] = 110,
		["Vigor"] = 45,
		["Lightning Shield"] = 15,
		["Runic Attenuation"] = 57,
		["Counterspell"] = 22,
		["Arcane Linguist"] = 58,
		["Gallant Steed"] = 110,
		["Mastery: Master Demonologist"] = 78,
		["Sword and Board"] = 40,
		["Invigorating Brew"] = 110,
		["Teleport: Darnassus"] = 17,
		["Censure"] = 60,
		["Burst of Cold"] = 40,
		["Consecration"] = 60,
		["Awakening"] = 90,
		["Far Sight"] = 13,
		["Moment of Clarity"] = 100,
		["Fervor of Battle"] = 45,
		["Diamond Ice"] = 40,
		["Storm Bolt"] = 30,
		["Clawing Shadows"] = 56,
		["Warrior of Light"] = 40,
		["Faerie Swarm"] = 40,
		["Cauterizing Blink"] = 110,
		["Primal Primer"] = 110,
		["Mastery: Unshackled Fury"] = 78,
		["Guardian of Elune"] = 90,
		["Rushing Jade Wind"] = 90,
		["One with the Pack"] = 30,
		["Blessed Hammer"] = 15,
		["Cloudburst Totem"] = 90,
		["Holy Words"] = 20,
		["Auspicious Spirits"] = 75,
		["Art of War"] = 28,
		["Rupture"] = 20,
		["Stormstrike"] = 20,
		["Efflorescence"] = 70,
		["Interlope"] = 40,
		["Slaughterhouse"] = 40,
		["Rapid Decomposition"] = 57,
		["Celerity"] = 30,
		["Balance Affinity"] = 45,
		["Rune of Razorice"] = 55,
		["Flash Flood"] = 90,
		["Immolation Aura"] = 100,
		["Lightning Conduit"] = 110,
		["Radiant Incandescence"] = 110,
		["Sow the Seeds"] = 60,
		["Masochism"] = 30,
		["Demonic Appetite"] = 99,
		["Mastery: Gust of Mists"] = 78,
		["Deadshot"] = 110,
		["Blinding Sleet"] = 58,
		["Fit to Burst"] = 110,
		["Steed of Glory"] = 40,
		["Retribution Aura"] = 60,
		["Shadow Word: Death"] = 28,
		["Storm Elemental"] = 60,
		["Slow Fall"] = 38,
		["Nemesis"] = 110,
		["Greater Fade"] = 40,
		["Portal: Exodar"] = 42,
		["Reckless Flurry"] = 110,
		["Symbols of Death"] = 36,
		["Torment"] = 110,
		["Portal: Stormwind"] = 42,
		["Polymorph"] = 8,
		["Detox"] = 22,
		["Mark of Blood"] = 90,
		["Thunderstruck"] = 40,
		["Shot in the Dark"] = 75,
		["Levitate"] = 32,
		["Guardian of the Forgotten Queen"] = 40,
		["Fetch"] = 40,
		["Wake Up"] = 32,
		["Subterfuge"] = 30,
		["Dragon Charge"] = 40,
		["Spouting Spirits"] = 110,
		["Tiger's Fury"] = 13,
		["Drain Soul"] = 15,
		["Strength of Earth"] = 110,
		["Demoralizing Shout"] = 48,
		["Anti-Magic Shell"] = 57,
		["Wake of Ashes"] = 60,
		["Frost Fever"] = 55,
		["Demonic Trample"] = 101,
		["Rising Mist"] = 100,
		["Death Wish"] = 40,
		["Mass Spell Reflection"] = 40,
		["Ironskin Brew"] = 20,
		["Venomous Wounds"] = 50,
		["Flare"] = 38,
		["Bodyguard"] = 40,
		["Feint"] = 44,
		["Pyromaniac"] = 15,
		["Healing Sphere"] = 40,
		["Shatter"] = 14,
		["Death Throes"] = 110,
		["Thirst for Battle"] = 40,
		["Demon's Bite"] = 98,
		["Sharpen Blade"] = 40,
		["Unlimited Power"] = 100,
		["Shadow of the Colossus"] = 40,
		["Mastery: Master of Beasts"] = 78,
		["Purgatory"] = 100,
		["Flashing Fangs"] = 110,
		["Ready for Battle"] = 40,
		["Jagged Spikes"] = 101,
		["Morale Killer"] = 40,
		["Graceful Spirit"] = 75,
		["Master and Commander"] = 40,
		["On a Pale Horse"] = 61,
		["Leave No Man Behind"] = 40,
		["Teachings of the Monastery"] = 12,
		["Poisoned Wire"] = 110,
		["Righteous Verdict"] = 15,
		["Blooddrinker"] = 56,
		["Alacrity"] = 90,
		["Reawaken"] = 66,
		["Death Sentence"] = 40,
		["Battle Trance"] = 40,
		["Consecrated Ground"] = 90,
		["Vanish"] = 48,
		["Combat Potency"] = 10,
		["Ruthlessness"] = 28,
		["Siegebreaker"] = 100,
		["Curse of Tongues"] = 40,
		["Pack Spirit"] = 110,
		["Teleport: Stormwind"] = 17,
		["Gory Regeneration"] = 110,
		["Slice and Dice"] = 90,
		["Heavy Repercussions"] = 100,
		["Earthen Rage"] = 90,
		["Butchery"] = 30,
		["Rejuvenating Grace"] = 110,
		["Vengeance"] = 90,
		["Focused Fire"] = 110,
		["Meat Cleaver"] = 90,
		["Mastery: Main Gauche"] = 78,
		["Lightning Reflexes"] = 65,
		["Ghostly Strike"] = 15,
		["Blessing of Protection"] = 48,
		["Combustion"] = 40,
		["Cleanse Spirit"] = 22,
		["Consume Magic"] = 103,
		["Sanctuary"] = 10,
		["Blade Dance"] = 100,
		["In For The Kill"] = 90,
		["Dragon Roar"] = 90,
		["Bone Spike Graveyard"] = 110,
		["Devastator"] = 90,
		["Deadly Calm"] = 90,
		["Booming Voice"] = 90,
		["Avatar"] = 90,
		["Lava Burst"] = 12,
		["Word of Mending"] = 110,
		["Lord of War"] = 110,
		["Chaos Nova"] = 100,
		["Rend"] = 45,
		["Arcane Explosion"] = 18,
		["Soul Rending"] = 104,
		["Rumbling Earth"] = 75,
		["Track Elementals"] = 4,
		["Teleport: Boralus"] = 110,
		["Menace"] = 75,
		["Mastery: Elemental Overload"] = 29,
		["Inexorable Assault"] = 56,
		["Touch of Death Amplifier"] = 32,
		["Frothing Berserker"] = 75,
		["Grimoire: Felguard"] = 90,
		["Foul Bulwark"] = 58,
		["Cleave"] = 75,
		["Carnage"] = 75,
		["Warpaint"] = 60,
		["Eerie Fermentation"] = 40,
		["Ice Floes"] = 30,
		["Aspect of the Cheetah"] = 22,
		["Searing Dialogue"] = 110,
		["Never Surrender"] = 60,
		["Portal: Vale of Eternal Blossoms"] = 90,
		["Fresh Meat"] = 15,
		["Defensive Stance"] = 60,
		["Bone Chilling"] = 15,
		["Bounding Stride"] = 60,
		["Bolster"] = 60,
		["Unstoppable Force"] = 45,
		["Massacre"] = 45,
		["Ossuary"] = 58,
		["Rot and Decay"] = 40,
		["Sweeping Strikes"] = 22,
		["Alexstrasza's Fury"] = 60,
		["Ascension"] = 45,
		["Doom"] = 30,
		["Inner Rage"] = 45,
		["Aquatic Form"] = 18,
		["Blade In The Shadows"] = 110,
		["Hibernate"] = 66,
		["Judicious Defense"] = 110,
		["Exposed Elements"] = 15,
		["Fury of Air"] = 90,
		["Chain Reaction"] = 60,
		["Counter Shot"] = 32,
		["Safeguard"] = 30,
		["Double Time"] = 30,
		["Surrender to Madness"] = 100,
		["Portal: Dazar'alor"] = 110,
		["Blade Rush"] = 100,
		["Inspiring Vanguard"] = 110,
		["Unholy Mutation"] = 57,
		["Wound Poison"] = 54,
		["Flame On"] = 60,
		["Posthaste"] = 75,
		["Portal: Silvermoon"] = 42,
		["Trail of Ruin"] = 102,
		["Guardian of Ancient Kings"] = 70,
		["Mana Shield"] = 30,
		["Purify Spirit"] = 22,
		["Surge of Light"] = 75,
		["Punish"] = 15,
		["Body and Soul"] = 30,
		["Whirling Dragon Punch"] = 100,
		["Turn the Tables"] = 40,
		["Impending Victory"] = 15,
		["Rain from Above"] = 101,
		["Static Charge"] = 45,
		["Feral Lunge"] = 75,
		["Aspect of the Turtle"] = 70,
		["Force of Nature"] = 15,
		["Furious Charge"] = 60,
		["Colossus Smash"] = 50,
		["Celestial Guardian"] = 40,
		["Night Terrors"] = 75,
		["Tunnel of Ice"] = 110,
		["Shooting Stars"] = 100,
		["Adrenaline Rush"] = 56,
		["Gorefiend's Grasp"] = 64,
		["Mastery: Critical Block"] = 78,
		["Spell Reflection"] = 70,
		["Lunar Inspiration"] = 15,
		["Gaping Maw"] = 110,
		["Intimidating Shout"] = 70,
		["Inevitable Demise"] = 110,
		["Desperate Instincts"] = 104,
		["Cloak of Shadows"] = 80,
		["Rapid Reload"] = 110,
		["Bladestorm"] = 65,
		["Pain Suppression"] = 48,
		["Shield Wall"] = 55,
		["Deep Wounds"] = 55,
		["Feral Affinity"] = 45,
		["Agonizing Flames"] = 99,
		["Veil of Midnight"] = 40,
		["Trample the Weak"] = 110,
		["Shockwave"] = 50,
		["Shield Block"] = 20,
		["Dancing Steel"] = 100,
		["Wildfire Infusion"] = 100,
		["Chrysalis"] = 40,
		["Astral Power"] = 10,
		["Endless Rage"] = 15,
		["Shield Bash"] = 40,
		["Berserker Rage"] = 44,
		["Shattered Souls"] = 98,
		["Secret Technique"] = 100,
		["Judgment"] = 3,
		["Lock and Load"] = 100,
		["Frost Strike"] = 55,
		["Serene Spirit"] = 110,
		["Provoke"] = 13,
		["Blaster Master"] = 110,
		["Die by the Sword"] = 36,
		["Tactician"] = 34,
		["Dreadlash"] = 15,
		["Portal: Orgrimmar"] = 42,
		["Tremor Totem"] = 58,
		["Infected Wounds"] = 54,
		["Piercing Howl"] = 32,
		["Meteoric Flare"] = 110,
		["Raking Ferocity"] = 110,
		["Wild Growth"] = 40,
		["Infernal Armor"] = 110,
		["Riptide"] = 10,
		["Metamorphosis"] = 99,
		["Intercept"] = 28,
		["Brewmaster's Balance"] = 10,
		["Chains of Ice"] = 56,
		["Avenger's Might"] = 110,
		["Volcanic Lightning"] = 110,
		["Recklessness"] = 50,
		["Raging Blow"] = 20,
		["Hamstring"] = 32,
		["Zen Pilgrimage"] = 14,
		["Thunder Clap"] = 14,
		["Enrage"] = 14,
		["Swift Roundhouse"] = 110,
		["Distract"] = 38,
		["Delirium"] = 57,
		["Vengeance Aura"] = 40,
		["Divine Hymn"] = 70,
		["Overcharge"] = 60,
		["Raging Frenzy"] = 40,
		["Bane of Havoc"] = 40,
		["Cenarion Ward"] = 15,
		["Rampage"] = 12,
		["Titan's Grip"] = 10,
		["Shield Slam"] = 10,
		["Mortal Strike"] = 10,
		["Bury the Hatchet"] = 110,
		["Devastate"] = 10,
		["Bloodthirst"] = 10,
		["Envenom"] = 36,
		["Backdraft"] = 14,
		["Execute"] = 8,
		["Static Cling"] = 40,
		["Arcane Shot"] = 10,
		["Blizzard"] = 18,
		["Portal: Theramore"] = 42,
		["Army of the Dead"] = 82,
		["Simmering Rage"] = 110,
		["Seismic Wave"] = 110,
		["Master Assassin"] = 30,
		["Pulverizing Blows"] = 110,
		["Moment of Glory"] = 110,
		["Warbreaker"] = 75,
		["Iron Fortress"] = 110,
		["Mind Flay"] = 10,
		["Executioner's Precision"] = 110,
		["Coordinated Assault"] = 40,
		["Masterful Instincts"] = 110,
		["Mastery: Demonic Presence"] = 98,
		["Nightblade"] = 20,
		["Necrotic Aura"] = 57,
		["Find Weakness"] = 15,
		["Swashbuckler"] = 110,
		["Chain Lightning"] = 28,
		["Striker's Grace"] = 110,
		["Deep Shatter"] = 40,
		["Icy Talons"] = 56,
		["Arcane Blast"] = 10,
		["Crushing Assault"] = 110,
		["Diffuse Magic"] = 75,
		["Epidemic"] = 90,
		["Brace for Impact"] = 110,
		["Echo of the Elementals"] = 110,
		["Bloodcraze"] = 110,
		["Unholy Command"] = 57,
		["Battle Shout"] = 42,
		["Iron Wire"] = 75,
		["Earthwarden"] = 90,
		["High Voltage"] = 60,
		["Pummel"] = 24,
		["Heroic Throw"] = 17,
		["Cleansed by Flame"] = 101,
		["Taunt"] = 13,
		["Wind Rush Totem"] = 75,
		["Mastery: Sniper Training"] = 78,
		["Whirling Rebound"] = 110,
		["Death Pact"] = 75,
		["Spellsteal"] = 70,
		["Infernal Strike"] = 100,
		["Master of Escape"] = 40,
		["Bulwark of Light"] = 110,
		["Survival Instincts"] = 36,
		["Singe Magic"] = 40,
		["Solar Beam"] = 80,
		["Dark Simulacrum"] = 57,
		["March of the Damned"] = 110,
		["Nether Ward"] = 40,
		["Crusader Strike"] = 26,
		["Pleasure through Pain"] = 40,
		["Unbound Freedom"] = 40,
		["Master Summoner"] = 40,
		["Long Night"] = 110,
		["Gateway Mastery"] = 40,
		["Cut to the Chase"] = 20,
		["Bursting Sores"] = 57,
		["Fel Fissure"] = 40,
		["Fire Elemental"] = 56,
		["Guardian Affinity"] = 45,
		["Essence Drain"] = 40,
		["Arcane Familiar"] = 15,
		["Void Eruption"] = 20,
		["Trailblazer"] = 45,
		["Dark Pact"] = 45,
		["Double Jump"] = 98,
		["Rune of the Fallen Crusader"] = 70,
		["Silhouette"] = 40,
		["Invoke Chi-Ji, the Red Crane"] = 90,
		["Curse of Weakness"] = 40,
		["Ysera's Gift"] = 34,
		["Curse of Shadows"] = 40,
		["Ironfur"] = 20,
		["Track Dragonkin"] = 4,
		["Primal Instincts"] = 110,
		["Cremation"] = 40,
		["Ardent Defender"] = 50,
		["Searing Touch"] = 15,
		["Spider Sting"] = 40,
		["Thunder Focus Tea"] = 50,
		["Call Observer"] = 40,
		["Tranquility"] = 80,
		["Mastery: Razor Claws"] = 78,
		["Hailstorm"] = 60,
		["Lifeblood"] = 110,
		["Fallout"] = 100,
		["Celestial Alignment"] = 48,
		["Call Felhunter"] = 40,
		["Spirit Wolf"] = 45,
		["Temporal Shield"] = 40,
		["Soul Conduit"] = 100,
		["Flamestrike"] = 20,
		["Icecap"] = 100,
		["Judgments of the Wise"] = 28,
		["Sacrificed Souls"] = 100,
		["Holy Fire"] = 10,
		["Nether Portal"] = 100,
		["Demonic Consumption"] = 100,
		["Eye of Leotheras"] = 101,
		["Rune of Power"] = 45,
		["Wild Fleshrending"] = 110,
		["Capacitor Totem"] = 44,
		["Renewal"] = 30,
		["Leap of Faith"] = 63,
		["Throw Glaive"] = 98,
		["Shrouded Suffocation"] = 110,
		["Sharpened Claws"] = 40,
		["Evocation"] = 20,
		["Dark Soul: Instability"] = 100,
		["Selfless Healer"] = 90,
		["Pure of Heart"] = 40,
		["Creeping Death"] = 100,
		["Den Mother"] = 40,
		["Anti-Magic Zone"] = 57,
		["Detainment"] = 101,
		["Inner Demons"] = 90,
		["Remove Corruption"] = 22,
		["Summon Exarch's Elekk"] = 20,
		["Collateral Damage"] = 75,
		["Nature's Cure"] = 22,
		["Searing Light"] = 40,
		["Tooth and Claw"] = 40,
		["Aimed Shot"] = 12,
		["Downpour"] = 90,
		["Mortal Coil"] = 75,
		["Portal: Thunder Bluff"] = 42,
		["Demonic Circle"] = 75,
		["New Moon"] = 100,
		["Darkfury"] = 75,
		["Soul of the Forest"] = 75,
		["Call Pet 5"] = 80,
		["Summon Sunwalker Kodo"] = 20,
		["Fel Eruption"] = 108,
		["Summon Vilefiend"] = 60,
		["Call Pet 4"] = 57,
		["Natural Mending"] = 45,
		["Phantom Singularity"] = 60,
		["Inferno"] = 60,
		["Teleport: Vale of Eternal Blossoms"] = 90,
		["Honor Among Thieves"] = 40,
		["Portal: Ironforge"] = 42,
		["Gift of the Ox"] = 32,
		["Fast Feet"] = 40,
		["Tip of the Spear"] = 90,
		["Fire and Brimstone"] = 60,
		["Breath of Fire"] = 40,
		["Cataclysm"] = 60,
		["Summon Darkglare"] = 58,
		["Marrowrend"] = 55,
		["Fade"] = 44,
		["Feed Pet"] = 13,
		["Endless Affliction"] = 40,
		["Burning Rush"] = 45,
		["Aspect of the Eagle"] = 54,
		["Shadowburn"] = 30,
		["Reverse Entropy"] = 30,
		["Power Siphon"] = 30,
		["Ice Nova"] = 15,
		["Cankerous Wounds"] = 110,
		["Preheat"] = 110,
		["Sigil of Misery"] = 105,
		["Internal Combustion"] = 30,
		["Maim"] = 63,
		["Empower Rune Weapon"] = 57,
		["Seed of Corruption"] = 38,
		["Ironbark"] = 54,
		["Predator"] = 15,
		["Greater Invisibility"] = 65,
		["Tundra Stalker"] = 57,
		["Crashing Storm"] = 90,
		["Sunfire"] = 16,
		["Admonishment"] = 40,
		["Nightfall"] = 15,
		["Call Pet 3"] = 34,
		["Feeding Frenzy"] = 110,
		["Lunar Strike"] = 12,
		["Empowerments"] = 12,
		["Death Coil"] = 55,
		["Demonic Strength"] = 15,
		["Righteous Bastion"] = 110,
		["Chimaera Shot"] = 30,
		["Rime"] = 59,
		["Echoing Howl"] = 110,
		["Final Stand"] = 75,
		["Murderous Efficiency"] = 57,
		["Deathbolt"] = 15,
		["Shellshock"] = 110,
		["Bilescourge Bombers"] = 15,
		["Dark Succor"] = 58,
		["Frigid Winds"] = 75,
		["Deadly Poison"] = 10,
		["Trinity"] = 40,
		["Ice Form"] = 40,
		["Chorus of Insanity"] = 110,
		["Mastery: Chaotic Energies"] = 78,
		["King of the Jungle"] = 40,
		["Hemostasis"] = 57,
		["Shadowfury"] = 60,
		["Abundance"] = 15,
		["Summon Infernal"] = 58,
		["Shadowy Insight"] = 15,
		["Summon Thalassian Charger"] = 40,
		["Arcane Barrage"] = 10,
		["Summon Darkforge Ram"] = 20,
		["Divine Vision"] = 40,
		["Marrowblood"] = 110,
		["Summon Black Ox Statue"] = 60,
		["Combo Breaker"] = 42,
		["Spirit Link"] = 40,
		["Gluttony"] = 108,
		["Runeforging"] = 55,
		["Pistol Shot"] = 10,
		["Eviscerate"] = 3,
		["Last Defender"] = 100,
		["Flametongue"] = 12,
		["Callous Reprisal"] = 110,
		["Scorch"] = 14,
		["Bloodlust"] = 50,
		["Searing Assault"] = 60,
		["Dismiss Pet"] = 10,
		["Conjure Refreshment"] = 13,
		["Lethal Shots"] = 90,
		["Rain of Fire"] = 26,
		["Cyclone Strikes"] = 40,
		["Fires of Justice"] = 30,
		["Igneous Potential"] = 110,
		["Moonfire"] = 3,
		["Mass Invisibility"] = 40,
		["Unstable Affliction"] = 14,
		["Incinerate"] = 14,
		["Call Dreadstalkers"] = 14,
		["Paralysis"] = 25,
		["Innervate"] = 50,
		["Guerrilla Tactics"] = 30,
		["Drain Life"] = 13,
		["Summon Felguard"] = 12,
		["Calming Waters"] = 40,
		["Soothing Darkness"] = 60,
		["Lively Spirit"] = 110,
		["Stellar Flare"] = 90,
		["Hand of Gul'dan"] = 10,
		["Conflagrate"] = 10,
		["Furious Slash"] = 45,
		["Power Word: Solace"] = 45,
		["Corruption"] = 3,
		["Sharpened Blades"] = 110,
		["Serrated Jaws"] = 110,
		["Flurry"] = 20,
		["Zealotry"] = 110,
		["Wracking Brilliance"] = 110,
		["Spirit Bomb"] = 108,
		["Umbral Blaze"] = 110,
		["Soul Carver"] = 100,
		["Brutal Slash"] = 90,
		["Sudden Onset"] = 110,
		["Shadow's Bite"] = 110,
		["Restoration Affinity"] = 45,
		["Arcane Pressure"] = 110,
		["Rolling Havoc"] = 110,
		["Last Stand"] = 32,
		["Sanctified Wrath"] = 90,
		["Flight Form"] = 58,
		["Teleport: Silvermoon"] = 17,
		["Dreadful Calling"] = 110,
		["Avenging Crusader"] = 90,
		["Desperate Power"] = 110,
		["Essence Font"] = 40,
		["Divine Attendant"] = 40,
		["Portal: Stonard"] = 52,
		["Grip of the Dead"] = 75,
		["Regrowth"] = 5,
		["Demonic Meteor"] = 110,
		["Crashing Chaos"] = 110,
		["Frozen Center"] = 57,
		["Misdirection"] = 42,
		["Chaotic Inferno"] = 110,
		["Gushing Lacerations"] = 110,
		["Roll"] = 5,
		["Double Tap"] = 90,
		["Weal and Woe"] = 110,
		["Void Shield"] = 40,
		["Harbinger of Doom"] = 60,
		["Corpse Exploder"] = 40,
		["Soul Leech"] = 34,
		["Kidney Shot"] = 34,
		["Charging Bash"] = 40,
		["Bursting Flare"] = 110,
		["Accelerant"] = 110,
		["Demonic Gateway"] = 80,
		["Aspect of the Chameleon"] = 40,
		["Blackout Combo"] = 100,
		["Create Soulwell"] = 66,
		["Landslide"] = 30,
		["Path of Frost"] = 66,
		["Heroic Leap"] = 26,
		["Unending Resolve"] = 54,
		["Soulstone"] = 44,
		["Invisibility"] = 42,
		["Purify Disease"] = 22,
		["Ritual of Summoning"] = 42,
		["Dreadsteed"] = 40,
		["Mastery: Lightbringer"] = 78,
		["Command Pet"] = 38,
		["Blood Scent"] = 15,
		["Essence Sever"] = 110,
		["Fan of Blades"] = 110,
		["Overflowing Shores"] = 110,
		["Flame Patch"] = 90,
		["Light's Hammer"] = 15,
		["Arcane Empowerment"] = 40,
		["Command Demon"] = 38,
		["Earthbind Totem"] = 8,
		["Banish"] = 32,
		["Summon Succubus"] = 28,
		["Mind Sear"] = 26,
		["Ambush"] = 22,
		["Dark Transformation"] = 74,
		["Festermight"] = 110,
		["Unending Breath"] = 24,
		["Crimson Tempest"] = 100,
		["Holy Ward"] = 40,
		["Holy Word: Sanctify"] = 40,
		["Health Funnel"] = 22,
		["Brain Freeze"] = 28,
		["Sundering"] = 90,
		["Create Healthstone"] = 18,
		["Fear"] = 16,
		["Survival of the Fittest"] = 90,
		["Soul Shards"] = 10,
		["Control Demon"] = 10,
		["Crippling Poison"] = 38,
		["Heartbreaker"] = 56,
		["Ancestral Protection Totem"] = 60,
		["Teleport: Shattrath"] = 62,
		["Ethereal Form"] = 40,
		["Grounding Totem"] = 40,
		["Lifebloom"] = 20,
		["Sigil of Chains"] = 106,
		["Test of Might"] = 110,
		["Earth Elemental"] = 36,
		["Counterstrike Totem"] = 40,
		["Flamecannon"] = 40,
		["Lightning Lasso"] = 40,
		["Resonance"] = 60,
		["Chaos Strike"] = 98,
		["Necrotic Strike"] = 57,
		["Shield of Virtue"] = 40,
		["Divine Favor"] = 40,
		["Thundercharge"] = 40,
		["Tame Beast"] = 13,
		["Voodoo Mastery"] = 40,
		["Void Reaver"] = 110,
		["Revolving Blades"] = 110,
		["Judgments of the Pure"] = 40,
		["Traveling Storms"] = 40,
		["Aura Mastery"] = 70,
		["Tidebringer"] = 40,
		["Swelling Waves"] = 40,
		["Sniper Shot"] = 40,
		["Spectral Recovery"] = 40,
		["Torment the Weak"] = 40,
		["Shamanism"] = 40,
		["Demonic Origins"] = 101,
		["Purifying Waters"] = 40,
		["Tiger Style"] = 40,
		["Rune Strike"] = 56,
		["Forked Lightning"] = 40,
		["In The Rhythm"] = 110,
		["Thought Harvester"] = 110,
		["Portal: Shattrath"] = 66,
		["Hammer of Justice"] = 8,
		["High Noon"] = 110,
		["Mending Bandage"] = 40,
		["Fingers of Frost"] = 24,
		["Infected Claws"] = 56,
		["Blood Frenzy"] = 15,
		["Blind"] = 24,
		["Electrocute"] = 40,
		["Earthfury"] = 40,
		["Kindred Spirits"] = 44,
		["Counteract Magic"] = 40,
		["Spear Hand Strike"] = 35,
		["Blessed Sanctuary"] = 110,
		["Chaos Bolt"] = 12,
		["Ice Block"] = 50,
		["Wellspring"] = 100,
		["Stormkeeper"] = 100,
		["Stealth"] = 5,
		["High Tide"] = 100,
		["Haze of Rage"] = 110,
		["Brambles"] = 15,
		["Elemental Spirits"] = 100,
		["Arcane Power"] = 40,
		["Earthen Spike"] = 100,
		["Raise Dead"] = 55,
		["Ascendance"] = 100,
		["Felsteed"] = 20,
		["Internal Bleeding"] = 75,
		["Primal Elementalist"] = 90,
		["Intimidating Roar"] = 30,
		["Master Marksman"] = 15,
		["Wild Charge"] = 30,
		["Execution Sentence"] = 15,
		["Dreadnaught"] = 100,
		["Grimoire of Supremacy"] = 90,
		["Phoenix Flames"] = 60,
		["Track Giants"] = 4,
		["Concentrated Coolness"] = 40,
		["Feed the Demon"] = 104,
		["Careful Aim"] = 30,
		["Flashover"] = 15,
		["Nature's Guardian"] = 75,
		["Berserk"] = 40,
		["Brain Storm"] = 110,
		["Justicar's Vengeance"] = 90,
		["Shield Discipline"] = 45,
		["Havoc"] = 40,
		["Crackling Thunder"] = 30,
		["Earthen Wall Totem"] = 60,
		["Critical Mass"] = 10,
		["Ancestral Vigor"] = 60,
		["Glacial Advance"] = 90,
		["Fel Mastery"] = 102,
		["Summon Imp"] = 5,
		["Resuscitate"] = 14,
		["Earthgrab Totem"] = 45,
		["Earth Shield"] = 45,
		["Fortifying Brew"] = 55,
		["Master of the Elements"] = 30,
		["Serpent Sting"] = 12,
		["Expel Harm"] = 50,
		["Forceful Winds"] = 30,
		["Inevitability"] = 110,
		["Comet Storm"] = 90,
		["Guarded by the Light"] = 40,
		["Vampiric Touch"] = 24,
		["Detect Traps"] = 42,
		["Zeal"] = 15,
		["Storm, Earth, and Fire"] = 50,
		["Avalanche"] = 60,
		["Undulation"] = 15,
		["Hammer of Reckoning"] = 40,
		["Elemental Blast"] = 15,
		["Frost Shock"] = 38,
		["Power of the Moon"] = 110,
		["Font of Life"] = 110,
		["Chill Streak"] = 57,
		["Boulderfist"] = 15,
		["Ghoulish Monstrosity"] = 57,
		["Blessed Hands"] = 40,
		["Savage Momentum"] = 40,
		["Writhe in Agony"] = 30,
		["Travel Form"] = 18,
		["Rumbling Tremors"] = 110,
		["Spirit Link Totem"] = 56,
		["Chrono Shift"] = 75,
		["Eye of the Tiger"] = 15,
		["Rampant Growth"] = 110,
		["Stormbringer"] = 48,
		["Resurgence"] = 48,
		["Heavy-Handed Strikes"] = 40,
		["Fel Devastation"] = 108,
		["Chilled to the Bone"] = 40,
		["Maelstrom Weapon"] = 40,
		["Burning Alive"] = 100,
		["Death's Reach"] = 58,
		["Lava Surge"] = 40,
		["Imprison"] = 100,
		["Bloodtalons"] = 100,
		["Healing Rain"] = 40,
		["Obliteration"] = 100,
		["Thick as Thieves"] = 40,
		["Frostscythe"] = 60,
		["Felblade"] = 99,
		["Spiritwalker's Grace"] = 38,
		["Frostbrand"] = 38,
		["Spell Eater"] = 75,
		["Blackout Kick"] = 3,
		["Smoke Bomb"] = 40,
		["Tidal Waves"] = 34,
		["Elemental Fury"] = 34,
		["Mastery: Icicles"] = 78,
		["Crash Lightning"] = 28,
		["Windfury"] = 24,
		["Thunderstorm"] = 24,
		["Healing Wave"] = 24,
		["Skullsplitter"] = 15,
		["Dismantle"] = 40,
		["Blink"] = 16,
		["Last Dance"] = 57,
		["Unending Hatred"] = 101,
		["Rockbiter"] = 10,
		["Mangle"] = 10,
		["Overpower"] = 20,
		["Maelstrom"] = 10,
		["Mystic Touch"] = 26,
		["Lava Lash"] = 10,
		["Earth Shock"] = 10,
		["Fireworks"] = 40,
		["Healing Surge"] = 5,
		["Serenity"] = 100,
		["Solitude"] = 101,
		["Ultimate Sacrifice"] = 40,
		["Flame Shock"] = 3,
		["Nightstalker"] = 30,
		["Revenge"] = 22,
		["Synapse Shock"] = 110,
		["Surging Tides"] = 110,
		["Rising Sun Kick"] = 10,
		["Harrowing Decay"] = 110,
		["Storm's Eye"] = 110,
		["Zen Pilgrimage: Return"] = 30,
		["Wraith Walk"] = 75,
		["Schism"] = 15,
		["Pillar of Frost"] = 57,
		["Disarm"] = 40,
		["Shredding Fury"] = 112,
		["Ancestral Vision"] = 66,
		["Holy Shock"] = 10,
		["Shield of the Righteous"] = 20,
		["Seize the Initiative"] = 110,
		["Concentrated Sigils"] = 106,
		["Natural Harmony"] = 110,
		["Lava Shock"] = 110,
		["Sweep the Leg"] = 110,
		["Crescent Burn"] = 40,
		["Demonbolt"] = 22,
		["Wildfire Bomb"] = 20,
		["Ancestral Spirit"] = 14,
		["Rake"] = 12,
		["Waking Dream"] = 110,
		["Steady Aim"] = 110,
		["Shadow Covenant"] = 75,
		["Marked for Death"] = 45,
		["Flames of the Forefathers"] = 110,
		["Bastion of Light"] = 30,
		["Seraphim's Blessing"] = 40,
		["Spirit of Redemption"] = 32,
		["Slipstream"] = 30,
		["Misty Peaks"] = 110,
		["Purge"] = 63,
		["Double Barrel"] = 40,
		["Spirit of the Crane"] = 45,
		["Starlord"] = 75,
		["Heroism"] = 50,
		["Focused Will"] = 38,
		["Inner Focus"] = 40,
		["Implosion"] = 46,
		["Perforate"] = 110,
		["Void Torrent"] = 90,
		["Living Bomb"] = 90,
		["Dark Soul: Misery"] = 100,
		["Dark Shadow"] = 90,
		["Soothe"] = 60,
		["Hex"] = 42,
		["Mass Dispel"] = 80,
		["Reincarnation"] = 26,
		["Demon Blades"] = 100,
		["Insatiable Hunger"] = 100,
		["Craggy Bark"] = 110,
		["Ghost Wolf"] = 16,
		["Galvanizing Spark"] = 110,
		["Mutilate"] = 40,
		["Healing Way"] = 110,
		["Summon Felhunter"] = 36,
		["Alpha Challenge"] = 40,
		["Shiv"] = 40,
		["Prosperity"] = 15,
		["Glide"] = 98,
		["Tormentor"] = 101,
		["Chain Heal"] = 20,
		["Into the Fray"] = 15,
		["Portal: Boralus"] = 110,
		["Staggering Strikes"] = 110,
		["Death's Advance"] = 55,
		["Rend and Tear"] = 100,
		["Scourge Strike"] = 55,
		["Track Hidden"] = 4,
		["Alpha Predator"] = 15,
		["Unleashed Power"] = 108,
		["Gouge"] = 34,
		["Mastery: Nature's Guardian"] = 78,
		["Embrace of the Darkfallen"] = 110,
		["System Shock"] = 40,
		["Shadowy Duel"] = 40,
		["Plunder Armor"] = 40,
		["Phantom Assassin"] = 40,
		["Sigil of Silence"] = 101,
		["Greater Blessing of Wisdom"] = 65,
		["Double Dose"] = 110,
		["Disengage"] = 8,
		["Portal: Darnassus"] = 42,
		["Breath of Sindragosa"] = 100,
		["Mind-Numbing Poison"] = 40,
		["Maneuverability"] = 40,
		["Roll the Bones"] = 40,
		["Intent to Kill"] = 40,
		["Keg Smash"] = 10,
		["Holy Prism"] = 75,
		["Trueshot Mastery"] = 40,
		["Death from Above"] = 40,
		["Cycle of Binding"] = 110,
		["Bear Form"] = 52,
		["Incarnation: Tree of Life"] = 75,
		["Hot Streak"] = 14,
		["Lifecycles"] = 45,
		["Time Anomaly"] = 100,
		["Guard"] = 100,
		["Control is King"] = 40,
		["Cold Blood"] = 40,
		["Cheap Tricks"] = 40,
		["Boarding Party"] = 40,
		["Shuriken Tornado"] = 100,
		["Hidden Blades"] = 100,
		["Zen Focus Tea"] = 40,
		["Shadow Blades"] = 56,
		["Eye of Kilrogg"] = 24,
		["War Machine"] = 15,
		["Holy Word: Serenity"] = 10,
		["Venom Rush"] = 90,
		["Toxic Blade"] = 90,
		["Loaded Dice"] = 90,
		["Enveloping Shadows"] = 90,
		["Bristling Fur"] = 15,
		["Prey on the Weak"] = 75,
		["Pick Lock"] = 24,
		["Rallying Cry"] = 80,
		["Enslave Demon"] = 56,
		["Divine Steed"] = 28,
		["Festering Doom"] = 110,
		["Mighty Ox Kick"] = 40,
		["Perseverance"] = 30,
		["Paradise Lost"] = 110,
		["Desperate Prayer"] = 26,
		["Divine Illumination"] = 110,
		["High Tolerance"] = 100,
		["Death Grip"] = 55,
		["Iron Stomach"] = 60,
		["Cheap Shot"] = 8,
		["Enduring Renewal"] = 15,
		["Cheat Death"] = 60,
		["Deeper Stratagem"] = 45,
		["Shadow Focus"] = 30,
		["Retractable Hook"] = 30,
		["Scatter Shot"] = 40,
		["Reinforced Plating"] = 110,
		["Shadowform"] = 12,
		["Darkness"] = 100,
		["Hit and Run"] = 30,
		["Slow"] = 32,
		["Acrobatic Strikes"] = 30,
		["Exotic Beasts"] = 65,
		["Quick Draw"] = 15,
		["Chakrams"] = 100,
		["Gloomblade"] = 15,
		["Layered Mane"] = 110,
		["Icy Veins"] = 40,
		["Breach"] = 110,
		["Typhoon"] = 60,
		["Control Undead"] = 69,
		["Shadowfiend"] = 40,
		["Mastery: Executioner"] = 78,
		["Shuriken Combo"] = 70,
		["Tigereye Brew"] = 40,
		["Unholy Frenzy"] = 100,
		["Ancient Teleport: Dalaran"] = 71,
		["Psychic Voice"] = 60,
		["Vendetta"] = 56,
		["Evangelism"] = 100,
		["Special Delivery"] = 90,
		["Restless Blades"] = 50,
		["Relentless Strikes"] = 50,
		["Shadow's Grasp"] = 40,
		["Shadow Dance"] = 40,
		["Ancient Portal: Dalaran"] = 74,
		["Take Your Cut"] = 40,
		["Entangling Roots"] = 24,
		["Pyroblast"] = 12,
		["Hammer of the Righteous"] = 10,
		["Summon Dawnforge Ram"] = 20,
		["Shadow Techniques"] = 28,
		["Seal Fate"] = 28,
		["Sanctum"] = 110,
		["Barbarian"] = 40,
		["Last Resort"] = 110,
		["Last Surprise"] = 110,
		["Evasion"] = 26,
		["Clearcasting"] = 10,
		["Iron Jaws"] = 110,
		["Grappling Hook"] = 22,
		["Hallowed Ground"] = 40,
		["Enhanced Pyrotechnics"] = 35,
		["Focused Chaos"] = 40,
		["Between the Eyes"] = 20,
		["Sap"] = 14,
		["Bloodworms"] = 90,
		["Moonkin Aura"] = 40,
		["Pick Pocket"] = 13,
		["Garrote"] = 12,
		["Sinister Strike"] = 10,
		["Shadowy Apparitions"] = 38,
		["Jagged Wounds"] = 75,
		["Kick"] = 18,
		["Lunar Beam"] = 100,
		["Improved Poisons"] = 10,
		["Energetic Recovery"] = 10,
		["Righteous Protector"] = 100,
		["Summon Demonic Tyrant"] = 80,
		["Backstab"] = 10,
		["Fist of Justice"] = 45,
		["Cycle of Hatred"] = 106,
		["Mastery: Divine Bulwark"] = 78,
		["Icebound Fortitude"] = 57,
		["Elusiveness"] = 60,
		["Twist the Knife"] = 110,
		["Swipe"] = 32,
		["The First Dance"] = 110,
		["Storm of Steel"] = 110,
		["Snake Eyes"] = 110,
		["Ranger's Finesse"] = 40,
		["Shrouded Mantle"] = 110,
		["Cultivation"] = 75,
		["Sacred Duty"] = 40,
		["Enduring Rage"] = 40,
		["Ride the Wind"] = 40,
		["Blinding Powder"] = 75,
		["Enraged Regeneration"] = 36,
		["Holy Shield"] = 15,
		["Echo of the Elements"] = 30,
		["Footpad"] = 110,
		["Contaminant"] = 110,
		["Fists of Fury"] = 20,
		["Revival"] = 70,
		["Brigand's Blitz"] = 110,
		["Whispers of the Damned"] = 110,
		["Mana Break"] = 101,
		["Deep Roots"] = 40,
		["Teleport: Stormshield"] = 92,
		["Renewing Mist"] = 20,
		["Agony"] = 10,
		["Presence of Mind"] = 54,
		["Ace Up Your Sleeve"] = 110,
		["Eyes of Rage"] = 110,
		["Arcane Orb"] = 100,
		["Tricks of the Trade"] = 70,
		["Death Strike"] = 55,
		["Stonebark"] = 90,
		["Dark Void"] = 45,
		["Divine Protection"] = 32,
		["Red Thirst"] = 100,
		["Safe Fall"] = 62,
		["Up Close And Personal"] = 110,
		["Ultimate Radiance"] = 40,
		["Fleet Footed"] = 58,
		["Warpath"] = 40,
		["Chi Torpedo"] = 30,
		["Microbrew"] = 40,
		["Aftershock"] = 30,
		["Shuriken Toss"] = 10,
		["Crimson Vial"] = 16,
		["Greater Blessing of Kings"] = 58,
		["Bursting Shot"] = 26,
		["Mastery: Potent Afflictions"] = 78,
		["Strength of Soul"] = 40,
		["Summon Great Sunwalker Kodo"] = 40,
		["Mastery: Deep Healing"] = 78,
		["Ray of Hope"] = 40,
		["Glimpse"] = 101,
		["Purified Resolve"] = 40,
		["Purification"] = 40,
		["Overgrowth"] = 40,
		["Hand of Reckoning"] = 12,
		["Invoke Xuen, the White Tiger"] = 90,
		["Lone Wolf"] = 10,
		["Power Word: Radiance"] = 52,
		["Ice Lance"] = 10,
		["Psychic Link"] = 40,
		["Premonition"] = 40,
		["Deep Cuts"] = 110,
		["Miracle Worker"] = 40,
		["Fortifying Auras"] = 110,
		["Infusion of Light"] = 35,
		["Mind Trauma"] = 40,
		["Castigation"] = 15,
		["Latent Chill"] = 110,
		["Angelic Feather"] = 30,
		["Death's Caress"] = 58,
		["Holy Concentration"] = 40,
		["Elusive Footwork"] = 110,
		["Inner Strength"] = 75,
		["Hallucinations"] = 40,
		["Veteran of the Third War"] = 55,
		["Reanimation"] = 57,
		["Mastery: Blood Shield"] = 78,
		["Arrowstorm"] = 110,
		["Luminous Barrier"] = 100,
		["Druid of the Claw"] = 40,
		["Fist of the White Tiger"] = 45,
		["Scourge the Unbeliever"] = 110,
		["Edge of Insanity"] = 40,
		["Mastery: Frozen Heart"] = 78,
		["Focused Thunder"] = 100,
		["Muzzle"] = 32,
		["Power Word: Shield"] = 8,
		["Dome of Light"] = 40,
		["Delivered from Evil"] = 40,
		["Venomous Bite"] = 60,
		["Dark Archangel"] = 40,
		["Charm Woodland Creature"] = 40,
		["Archangel"] = 40,
		["Liquid Magma Totem"] = 60,
		["Greater Heal"] = 40,
		["Light of the Naaru"] = 100,
		["Lenience"] = 100,
		["Shackle Undead"] = 34,
		["Holy Word: Salvation"] = 100,
		["Dark Ascension"] = 100,
		["Stalwart Protector"] = 110,
		["Chaos Brand"] = 100,
		["Purge the Wicked"] = 90,
		["Terms of Engagement"] = 15,
		["Tiger Dash"] = 30,
		["Divine Star"] = 90,
		["Contrition"] = 75,
		["Gift of Forgiveness"] = 110,
		["Control of Lava"] = 40,
		["Control Pet"] = 10,
		["Sins of the Many"] = 75,
		["Shadow Crash"] = 75,
		["Winter's Reach"] = 110,
		["Binding Heal"] = 75,
		["Charged Up"] = 60,
		["Feign Death"] = 28,
		["Disabling Reach"] = 40,
		["Blade Flurry"] = 63,
		["Aspect of the Wild"] = 40,
		["Mind Bomb"] = 60,
		["Last Word"] = 60,
		["Hunter's Mark"] = 60,
		["Dominant Mind"] = 60,
		["Ancestral Guidance"] = 75,
		["Misery"] = 45,
		["Vengeful Retreat"] = 100,
		["Rapid Fire"] = 20,
		["Guardian Angel"] = 45,
		["Decimate"] = 110,
		["Glacial Assault"] = 110,
		["Death Gate"] = 55,
		["Shroud of Concealment"] = 68,
		["Revel in Pain"] = 110,
		["Darkest before the Dawn"] = 40,
		["Earthen Grasp"] = 40,
		["Wind Shear"] = 18,
		["Mania"] = 30,
		["Power Word: Barrier"] = 5,
		["Twist of Fate"] = 15,
		["Trail of Light"] = 15,
		["Dark Command"] = 58,
		["Life Cocoon"] = 35,
		["Shadow Word: Void"] = 15,
		["Summon Great Exarch's Elekk"] = 40,
		["Crypt Fever"] = 57,
		["Fortress of the Mind"] = 15,
		["Enlightenment"] = 15,
		["Shadow Mend"] = 28,
		["Portal: Tol Barad"] = 85,
		["Mastery: Madness"] = 78,
		["Controlled Burn"] = 40,
		["Mastery: Savant"] = 78,
		["Galactic Guardian"] = 75,
		["Soulshatter"] = 40,
		["Starfall"] = 40,
		["Power of the Dark Side"] = 58,
		["Righteous Fury"] = 10,
		["Psyfiend"] = 40,
		["Rapture"] = 50,
		["Prayer of Mending"] = 50,
		["Killer Frost"] = 110,
		["Greater Pyroblast"] = 40,
		["Cover of Darkness"] = 101,
		["Redoubt"] = 15,
		["Absolution"] = 66,
		["Guardian Spirit"] = 44,
		["Light of Dawn"] = 40,
		["Mastery: Potent Assassin"] = 78,
		["Thrash"] = 12,
		["Holy Nova"] = 33,
		["Ancestral Resonance"] = 110,
		["Barrage"] = 90,
		["Summon Gargoyle"] = 100,
		["Seething Power"] = 110,
		["War Banner"] = 40,
		["Mirror Image"] = 45,
		["Symbol of Hope"] = 85,
		["Prayer of Healing"] = 28,
		["Frozen Orb"] = 57,
		["Leeching Poison"] = 60,
		["Deluge"] = 30,
		["Heal"] = 24,
		["Voidform"] = 20,
		["Illidan's Grasp"] = 101,
		["Entrenched in Flame"] = 40,
		["Overflowing Mists"] = 110,
		["Atonement"] = 20,
		["Duplicative Incineration"] = 110,
		["Devotion Aura"] = 60,
		["Retribution"] = 70,
		["Spring Blossoms"] = 90,
		["Avenging Light"] = 40,
		["Renew"] = 12,
		["Penance"] = 10,
		["Starsurge"] = 10,
		["Enraged Maul"] = 10,
		["Horn of Winter"] = 57,
		["Driven to Madness"] = 40,
		["Redemption"] = 14,
		["Beacon of Virtue"] = 100,
		["Rune of the Stoneskin Gargoyle"] = 72,
		["Spiteful Apparitions"] = 110,
		["Prayerful Litany"] = 110,
		["Moment of Repose"] = 110,
		["Fracture"] = 104,
		["Rune Tap"] = 60,
		["Death and Decay"] = 56,
		["Everlasting Light"] = 110,
		["Enduring Luminescence"] = 110,
		["Master Shapeshifter"] = 40,
		["Astral Influence"] = 34,
		["Dancing Rune Weapon"] = 57,
		["Spinning Crane Kick"] = 40,
		["Breaking Dawn"] = 110,
		["Bindings of Fate"] = 110,
		["Water Walking"] = 32,
		["Dispel Magic"] = 56,
		["Demon Skin"] = 45,
		["Firemind"] = 110,
		["Mind Control"] = 42,
		["Legacy of the Void"] = 100,
		["Power Word: Fortitude"] = 22,
		["Rebuke"] = 35,
		["Angel's Mercy"] = 30,
		["Obliterate"] = 55,
		["Cleansing Light"] = 40,
		["Torrent"] = 15,
		["Spreading the Word"] = 40,
		["Luminescence"] = 40,
		["Blast Wave"] = 30,
		["Light's Grace"] = 40,
		["Dire Beast: Hawk"] = 40,
		["Lawbringer"] = 40,
		["Yu'lon's Gift"] = 40,
		["Law and Order"] = 40,
		["Jurisdiction"] = 40,
		["Holy Ritual"] = 40,
		["Divine Punisher"] = 40,
		["Duck and Cover"] = 110,
		["Cosmic Ripple"] = 45,
		["Cleanse the Weak"] = 40,
		["Mastery: Enhanced Elements"] = 78,
		["Mind Vision"] = 13,
		["Seraphim"] = 100,
		["Latent Poison"] = 110,
		["Rip and Tear"] = 40,
		["Dispatch"] = 10,
		["Entangling Claws"] = 40,
		["Track Undead"] = 4,
		["Word of Glory"] = 90,
		["Moonkin Form"] = 16,
		["Forbidden Knowledge"] = 110,
		["Heart of the Crusader"] = 44,
		["Aegis of Light"] = 90,
		["Unbreakable Spirit"] = 75,
		["Roar of Sacrifice"] = 40,
		["Judgment of Light"] = 75,
		["Strength of Spirit"] = 110,
		["Blessing of Spellwarding"] = 60,
		["Drink Up Me Hearties"] = 40,
		["Holy Avenger"] = 75,
		["Flame Crash"] = 102,
		["Venomous Fangs"] = 110,
		["Iron Fists"] = 110,
		["Aura of Mercy"] = 60,
		["Autumn Leaves"] = 110,
		["Harpoon"] = 14,
		["Blind Fury"] = 99,
		["Teleport: Dalaran - Northrend"] = 60,
		["Blur of Talons"] = 110,
		["Upwelling"] = 100,
		["Savage Roar"] = 90,
		["Hunting Pack"] = 40,
		["Soul Reaper"] = 60,
		["Sudden Doom"] = 60,
		["Will of the Necropolis"] = 60,
		["Rule of Law"] = 30,
		["Hammer of Wrath"] = 30,
		["First Avenger"] = 30,
		["Incarnation: Chosen of Elune"] = 75,
		["Crusader's Judgment"] = 30,
		["Cavalier"] = 30,
		["Blade of Wrath"] = 30,
		["Crusader's Might"] = 15,
		["Guardian's Wrath"] = 110,
		["Bestow Faith"] = 15,
		["Avenging Wrath"] = 80,
		["Soul Barrier"] = 110,
		["Tiger's Lust"] = 30,
		["Psychic Scream"] = 18,
		["Feral Frenzy"] = 100,
		["Neurotoxin"] = 40,
		["Void Shift"] = 40,
		["Moon and Stars"] = 40,
		["Light of the Martyr"] = 50,
		["Light of the Protector"] = 40,
		["Divine Storm"] = 40,
		["Sigil Mastery"] = 101,
		["Resurrection"] = 14,
		["Boiling Brew"] = 110,
		["Casting Circle"] = 40,
		["Holy Light"] = 25,
		["Stampede"] = 90,
		["Wandering Plague"] = 57,
		["Prismatic Barrier"] = 26,
		["Grand Crusader"] = 25,
		["Hand of Hindrance"] = 24,
		["Roiling Storm"] = 110,
		["Netherwalk"] = 104,
		["Blade of Justice"] = 20,
		["Horrid Experimentation"] = 110,
		["Revive"] = 14,
		["Beacon of Light"] = 20,
		["Templar's Verdict"] = 10,
		["Sticky Tar"] = 40,
		["Hot Trub"] = 40,
		["Rip"] = 20,
		["Summon Water Elemental"] = 12,
		["Ignore Pain"] = 36,
		["Apotheosis"] = 100,
		["Soaring Shield"] = 110,
		["Righteous Flames"] = 110,
		["Teleport: Moonglade"] = 14,
		["Exhilaration"] = 24,
		["Relentless Inquisitor"] = 110,
		["Training of Niuzao"] = 110,
		["Anger Management"] = 100,
		["Best Served Cold"] = 45,
		["Healing Hammer"] = 110,
		["Grace of the Justicar"] = 110,
		["Stampeding Roar"] = 50,
		["Wilderness Survival"] = 110,
		["Expurgation"] = 110,
		["Feline Swiftness"] = 34,
		["Divine Right"] = 110,
		["Divine Revelations"] = 110,
		["Revitalize"] = 66,
		["Summon Charger"] = 40,
		["Contemplation"] = 40,
		["Blessing of Freedom"] = 38,
		["Dirty Tricks"] = 75,
		["Summon Warhorse"] = 20,
		["Summon Thalassian Warhorse"] = 20,
		["Teleport: Dazar'alor"] = 110,
		["Mastery: Starlight"] = 78,
		["Rule of Threes"] = 15,
		["Arcane Pummeling"] = 110,
		["Flash Heal"] = 5,
		["Surging Mist"] = 40,
		["Rebirth"] = 42,
		["Energizing Elixir"] = 45,
		["Crackling Jade Lightning"] = 18,
		["Shuriken Storm"] = 63,
		["Refreshing Breeze"] = 40,
		["Teleport: Tol Barad"] = 85,
		["Flash of Light"] = 5,
		["Guided Meditation"] = 40,
		["Grapple Weapon"] = 40,
		["Mastery: Ignite"] = 78,
		["Eminence"] = 40,
		["Astral Shift"] = 52,
		["Dome of Mist"] = 40,
		["Protector of the Pack"] = 40,
		["Spiritual Focus"] = 100,
		["Creeping Venom"] = 40,
		["Dragonscale Armor"] = 40,
		["Dampened Magic"] = 40,
		["Deepening Shadows"] = 54,
		["Refreshing Jade Wind"] = 90,
		["Reckless Abandon"] = 100,
		["Hi-Explosive Trap"] = 40,
		["Beast Cleave"] = 50,
		["Toughness"] = 40,
		["Bob and Weave"] = 75,
		["Tiger Tail Sweep"] = 60,
		["Song of Chi-Ji"] = 60,
		["Good Karma"] = 60,
		["Death Chain"] = 57,
		["Demonic"] = 110,
		["Blood for Blood"] = 57,
		["Spitfire"] = 45,
		["Demonic Calling"] = 30,
		["Ironfeather Armor"] = 40,
		["Unholy Blight"] = 57,
		["Light Brewing"] = 45,
		["Dagger in the Dark"] = 40,
		["Shimmer"] = 30,
		["Craft: Nimble Brew"] = 40,
		["Dawning Sun"] = 110,
		["Black Ox Brew"] = 45,
		["Killer Cobra"] = 100,
		["Mastery: Hand of Light"] = 78,
		["Mist Wrap"] = 15,
		["Chi Wave"] = 15,
		["Cold Heart"] = 56,
		["Mastery: Elusive Brawler"] = 78,
		["Celestial Fortune"] = 70,
		["Zen Meditation"] = 65,
		["Leg Sweep"] = 52,
		["Flying Serpent Kick"] = 48,
		["Flanking Strike"] = 90,
		["Windwalking"] = 38,
		["Quickened Sigils"] = 106,
		["Benediction"] = 90,
		["Sabertooth"] = 90,
		["Touch of Death"] = 32,
		["Dire Beast"] = 15,
		["Transcendence"] = 80,
		["Prismatic Cloak"] = 40,
		["Viper Sting"] = 40,
		["Trueshot"] = 40,
		["Stagger"] = 16,
		["Enveloping Mist"] = 12,
		["Flying Daggers"] = 40,
		["Encroaching Vines"] = 40,
		["Scorpid Sting"] = 40,
		["Sunrise Technique"] = 110,
		["Pressure Point"] = 110,
		["Frost Nova"] = 5,
		["Void Bolt"] = 20,
		["Precise Shots"] = 34,
		["Whiteout"] = 110,
		["Streamline"] = 60,
		["Ancestral Reach"] = 110,
		["Meridian Strikes"] = 110,
		["Shield of Vengeance"] = 32,
		["Conflagration"] = 90,
		["Transcendence: Transfer"] = 80,
		["Way of the Crane"] = 40,
		["Momentum"] = 110,
		["Soothing Mist"] = 10,
		["Earthquake"] = 48,
		["Summon Jade Serpent Statue"] = 90,
		["Icy Citadel"] = 110,
		["Shining Force"] = 60,
		["Decomposing Aura"] = 57,
		["Kleptomania"] = 40,
		["Mend Pet"] = 13,
		["Crimson Scourge"] = 63,
		["Overpowered"] = 100,
		["Kindling"] = 100,
		["Glacial Spike"] = 100,
		["Anti-Magic Barrier"] = 60,
		["Summon Voidwalker"] = 20,
		["Flourish"] = 100,
		["Stag Form"] = 40,
		["Mass Resurrection"] = 66,
		["Hydra's Bite"] = 30,
		["Portal: Dalaran - Broken Isles"] = 74,
		["Fury of Elune"] = 100,
		["Cone of Cold"] = 34,
		["Ring of Frost"] = 75,
		["Strangulate"] = 57,
		["Amplification"] = 15,
		["Ice Ward"] = 75,
		["A Murder of Crows"] = 15,
		["Teleport: Undercity"] = 17,
		["Vivify"] = 8,
		["Supernova"] = 60,
		["Germination"] = 100,
		["Ebonbolt"] = 60,
		["Tinder"] = 40,
		["Second Wind"] = 60,
		["Master of the Glaive"] = 108,
		["Haunt"] = 90,
		["Netherwind Armor"] = 40,
		["Firestarter"] = 15,
		["Cold Snap"] = 52,
		["Ice Barrier"] = 26,
		["Stomp"] = 90,
		["Dragon's Breath"] = 32,
		["Touch of the Magi"] = 90,
		["Elemental Attunement"] = 40,
		["Skyfury Totem"] = 40,
		["Arcane Missiles"] = 12,
		["Soul Link"] = 52,
		["Niuzao's Blessing"] = 110,
		["Army of the Damned"] = 100,
		["Prickling Thorns"] = 40,
		["Trailing Embers"] = 110,
		["Frigid Grasp"] = 110,
		["Explosive Echo"] = 110,
		["Intimidation"] = 26,
		["Divine Shield"] = 18,
		["Teleport: Warspear"] = 92,
		["Portal: Warspear"] = 92,
		["From the Shadows"] = 60,
		["Indomitable"] = 60,
		["Eclipse"] = 60,
		["Incendiary Breath"] = 40,
		["Teleport: Thunder Bluff"] = 17,
		["Mastery: Grace"] = 78,
		["Teleport: Stonard"] = 52,
		["Fungal Essence"] = 110,
		["Roaring Speed"] = 40,
		["Maul"] = 10,
		["Early Spring"] = 40,
		["Portal: Undercity"] = 42,
		["Remove Curse"] = 28,
		["Time Warp"] = 80,
		["Invoke Niuzao, the Black Ox"] = 90,
		["Blindside"] = 15,
		["Teleport: Exodar"] = 17,
		["San'layn"] = 30,
		["Teleport: Hall of the Guardian"] = 14,
		["Hit Combo"] = 90,
		["Wild Protector"] = 40,
		["Birds of Prey"] = 100,
		["Purifying Brew"] = 28,
		["The Beast Within"] = 40,
		["Multi-Shot"] = 14,
		["Avenger's Shield"] = 10,
		["Frenetic Speed"] = 75,
		["Repentance"] = 45,
		["Walking Dead"] = 57,
		["World in Flames"] = 40,
		["Dire Beast: Basilisk"] = 40,
		["Piercing Shot"] = 100,
		["Night's Vengeance"] = 110,
		["Mind Freeze"] = 62,
		["Calling the Shots"] = 100,
		["Trick Shots"] = 50,
		["Pure Shadow"] = 40,
		["Born To Be Wild"] = 75,
		["Binding Shot"] = 75,
		["Killer Instinct"] = 15,
		["Viper's Venom"] = 15,
		["Glacial Contagion"] = 110,
		["Dreamwalk"] = 14,
		["Lingering Insanity"] = 90,
		["Streaking Stars"] = 110,
		["Cadaverous Pallor"] = 57,
		["Mastery: Dreadblade"] = 78,
		["Icefury"] = 90,
		["Volley"] = 30,
		["Mastery: Spirit Bond"] = 78,
		["Weaponmaster"] = 15,
		["Shadow Mania"] = 40,
		["Aspect of the Beast"] = 100,
		["Dampen Harm"] = 75,
		["Carve"] = 42,
		["Combat Conditioning"] = 20,
		["Psychic Horror"] = 60,
		["Rigid Carapace"] = 110,
		["Freezing Trap"] = 18,
		["Abyssal Strike"] = 99,
		["Tar Trap"] = 36,
		["Eldritch Warding"] = 110,
		["Wild Call"] = 20,
		["Mindbender"] = 45,
		["Bestial Wrath"] = 20,
		["Survival Tactics"] = 40,
		["Barbed Shot"] = 12,
		["Kill Command"] = 10,
		["Pack Alpha"] = 110,
		["Vigorous Wings"] = 110,
		["Rotting Jaws"] = 110,
		["Arcane Flurry"] = 110,
		["Play Dead"] = 40,
		["Eagle Eye"] = 16,
		["Ray of Frost"] = 100,
		["Cyclone"] = 40,
		["Crusade"] = 100,
		["Curse of Fragility"] = 40,
		["Track Demons"] = 4,
		["Fresh Wound"] = 40,
		["Beast Lore"] = 13,
		["Enraged Maim"] = 40,
		["Thorns"] = 40,
		["Malorne's Swiftness"] = 40,
		["Freedom of the Herd"] = 40,
		["Mongoose Bite"] = 90,
		["Contemptuous Homily"] = 110,
		["Outbreak"] = 55,
		["Focused Growth"] = 40,
		["Entangling Bark"] = 40,
		["Runic Barrier"] = 110,
		["Blackout Strike"] = 10,
		["Roaring Blaze"] = 90,
		["Frozen Touch"] = 60,
		["Fel Barrage"] = 102,
		["Reverberate"] = 90,
		["Twin Moons"] = 90,
		["Furious Gaze"] = 110,
		["Feast of Souls"] = 100,
		["Stellar Drift"] = 90,
		["Vile Taint"] = 60,
		["Elaborate Planning"] = 15,
		["Raise Ally"] = 72,
		["Mighty Bash"] = 60,
		["Mass Entanglement"] = 60,
		["Unbound Chaos"] = 110,
		["Halo"] = 90,
		["Shred"] = 8,
		["Absolute Corruption"] = 30,
		["Nature's Balance"] = 15,
		["Tightening Grasp"] = 75,
		["Predatory Swiftness"] = 80,
		["Ursol's Vortex"] = 63,
		["Astral Recall"] = 44,
		["Lunar Shrapnel"] = 110,
		["Mana Tea"] = 45,
		["Consumption"] = 57,
		["Freezing Rain"] = 90,
		["Frenzied Regeneration"] = 40,
		["Incapacitating Roar"] = 28,
		["Blazing Soul"] = 30,
		["Eradication"] = 15,
		["Rejuvenation"] = 10,
		["Twisted Claws"] = 110,
		["Rejuvenating Breath"] = 110,
		["Blood Mist"] = 110,
		["Mind Blast"] = 10,
		["Warrior of Elune"] = 15,
		["Cat Form"] = 8,
		["Feline Grace"] = 6,
		["Oppressor"] = 40,
		["Teleport: Ironforge"] = 17,
		["Rippling Waters"] = 40,
		["Dispersion"] = 48,
		["Thief's Bargain"] = 40,
		["Dark Slash"] = 106,
		["Harvested Thoughts"] = 110,
		["Charred Flesh"] = 102,
		["Blur"] = 100,
		["Spectral Sight"] = 98,
		["Eye Beam"] = 98,
		["Lonely Winter"] = 15,
		["Rampage!"] = 12,
		["Pestilence"] = 90,
		["Cascading Calamity"] = 110,
		["Tombstone"] = 58,
		["Apocalypse"] = 75,
		["Mastery: Deep Wounds"] = 78,
		["Torment of Torments"] = 110,
		["Everlasting Hunt"] = 101
	}
end

--=> CREATE SPEC DB
-----------------------------------------------------------------------
function weizPVP:CreateSpecDB()
	weizPVP.SpecDB = {
		[200166] = 577,
		[206491] = 577,
		[196555] = 577,
		[196718] = 577,
		[187827] = 581,
		[207684] = 581,
		[275699] = 252,
		[42650] = 252,
		[48743] = 252,
		[152279] = 251,
		[47568] = 251,
		[279302] = 251,
		[207167] = 251,
		[108199] = 250,
		[194223] = 102,
		[102560] = 102,
		[106951] = 1031,
		[102543] = 103,
		[77764] = 103,
		[102558] = 104,
		[77761] = 104,
		[99] = 104,
		[108238] = 105,
		[33891] = 105,
		[197721] = 105,
		[102793] = 105,
		[115203] = 268,
		[115176] = 268,
		[137639] = 269,
		[123904] = 269,
		[152173] = 269,
		[119381] = 5,
		[198664] = 270,
		[243435] = 270,
		[198067] = 262,
		[192249] = 262,
		[114050] = 262,
		[108281] = 262,
		[114051] = 264,
		[114052] = 264,
		[207399] = 264,
		[198793] = 577,
		[162243] = 577,
		[213241] = 577,
		[213243] = 577,
		[179057] = 577,
		[188499] = 577,
		[198013] = 577,
		[201467] = 577,
		[178963] = 577,
		[162794] = 577,
		[211881] = 577,
		[201427] = 577,
		[210152] = 577,
		[203782] = 581,
		[203720] = 581,
		[218256] = 581,
		[203798] = 581,
		[202137] = 581,
		[204490] = 581,
		[204596] = 581,
		[204598] = 581,
		[204021] = 581,
		[202138] = 581,
		[207407] = 581,
		[165395] = 252,
		[49206] = 252,
		[63560] = 252,
		[85948] = 252,
		[49572] = 252,
		[55090] = 252,
		[46584] = 252,
		[51160] = 252,
		[130735] = 251,
		[51271] = 251,
		[49020] = 251,
		[66198] = 251,
		[222024] = 251,
		[49143] = 251,
		[222026] = 251,
		[66196] = 251,
		[49184] = 251,
		[165394] = 250,
		[114866] = 250,
		[49222] = 250,
		[55233] = 250,
		[49028] = 250,
		[48982] = 250,
		[56222] = 250,
		[48505] = 102,
		[112071] = 102,
		[78675] = 102,
		[93399] = 102,
		[2912] = 102,
		[171746] = 103,
		[22570] = 103,
		[16974] = 103,
		[52610] = 103,
		[5217] = 103,
		[155835] = 104,
		[155578] = 104,
		[80313] = 104,
		[159232] = 104,
		[33745] = 104,
		[135288] = 104,
		[6807] = 104,
		[62606] = 104,
		[740] = 105,
		[102342] = 105,
		[33763] = 105,
		[88423] = 105,
		[145205] = 105,
		[19574] = 253,
		[82692] = 253,
		[53257] = 253,
		[217200] = 253,
		[193455] = 253,
		[3045] = 254,
		[257045] = 254,
		[19434] = 254,
		[193526] = 254,
		[185358] = 254,
		[186387] = 254,
		[190925] = 255,
		[186289] = 255,
		[187708] = 255,
		[259495] = 255,
		[195645] = 255,
		[186270] = 255,
		[187707] = 255,
		[153626] = 62,
		[153640] = 62,
		[114923] = 62,
		[157980] = 62,
		[12042] = 62,
		[12051] = 62,
		[31589] = 62,
		[5143] = 62,
		[7268] = 62,
		[1449] = 62,
		[44425] = 62,
		[30451] = 62,
		[153561] = 63,
		[11129] = 63,
		[157981] = 63,
		[44457] = 63,
		[31661] = 63,
		[2120] = 63,
		[108853] = 63,
		[2948] = 63,
		[133] = 63,
		[11366] = 63,
		[153595] = 64,
		[112948] = 64,
		[157997] = 64,
		[84714] = 64,
		[84721] = 64,
		[10] = 64,
		[190357] = 64,
		[30455] = 64,
		[148022] = 64,
		[228598] = 64,
		[228597] = 64,
		[116] = 64,
		[228600] = 64,
		[228354] = 64,
		[257338] = 64,
		[157676] = 268,
		[119582] = 268,
		[115308] = 268,
		[115295] = 268,
		[115181] = 268,
		[121253] = 268,
		[115180] = 268,
		[152175] = 269,
		[116095] = 269,
		[122470] = 269,
		[124280] = 269,
		[128595] = 269,
		[101545] = 269,
		[113656] = 269,
		[117418] = 269,
		[115310] = 270,
		[116680] = 270,
		[115460] = 270,
		[116670] = 270,
		[115294] = 270,
		[116849] = 270,
		[115151] = 270,
		[124682] = 270,
		[115175] = 270,
		[156910] = 65,
		[157007] = 65,
		[85222] = 65,
		[31821] = 65,
		[82326] = 65,
		[148039] = 65,
		[53563] = 65,
		[82327] = 65,
		[2812] = 65,
		[20473] = 65,
		[53600] = 66,
		[119072] = 66,
		[31935] = 66,
		[157048] = 70,
		[20164] = 70,
		[879] = 70,
		[53385] = 70,
		[224266] = 70,
		[224239] = 70,
		[184575] = 70,
		[152118] = 256,
		[62618] = 256,
		[194509] = 256,
		[129250] = 256,
		[33206] = 256,
		[81751] = 256,
		[94472] = 256,
		[47750] = 256,
		[214621] = 256,
		[200829] = 256,
		[47536] = 256,
		[204197] = 256,
		[155245] = 257,
		[64843] = 257,
		[34861] = 257,
		[32546] = 257,
		[596] = 257,
		[88625] = 257,
		[2050] = 257,
		[47788] = 257,
		[139] = 257,
		[2061] = 257,
		[2060] = 257,
		[15286] = 258,
		[32379] = 258,
		[73510] = 258,
		[78203] = 258,
		[34914] = 258,
		[8092] = 258,
		[15407] = 258,
		[228266] = 258,
		[228260] = 258,
		[165399] = 262,
		[165477] = 262,
		[165339] = 262,
		[165462] = 262,
		[170374] = 262,
		[61882] = 262,
		[77756] = 262,
		[86108] = 262,
		[88766] = 262,
		[60188] = 262,
		[29000] = 262,
		[62099] = 262,
		[123099] = 262,
		[51490] = 262,
		[8042] = 262,
		[165368] = 263,
		[117012] = 263,
		[165341] = 263,
		[73680] = 263,
		[77223] = 263,
		[51533] = 263,
		[58875] = 263,
		[51530] = 263,
		[86099] = 263,
		[1535] = 263,
		[8190] = 263,
		[166221] = 263,
		[33757] = 263,
		[17364] = 263,
		[32175] = 263,
		[32176] = 263,
		[16282] = 263,
		[86629] = 263,
		[10400] = 263,
		[10444] = 263,
		[60103] = 263,
		[30814] = 263,
		[51522] = 263,
		[157153] = 264,
		[157154] = 264,
		[165391] = 264,
		[165479] = 264,
		[165344] = 264,
		[77226] = 264,
		[98008] = 264,
		[108280] = 264,
		[77472] = 264,
		[86100] = 264,
		[51564] = 264,
		[1064] = 264,
		[16196] = 264,
		[974] = 264,
		[52127] = 264,
		[77130] = 264,
		[55453] = 264,
		[95862] = 264,
		[16213] = 264,
		[61295] = 264,
		[112858] = 264,
		[165365] = 71,
		[167105] = 71,
		[12328] = 71,
		[86101] = 71,
		[1464] = 71,
		[56636] = 71,
		[12294] = 71,
		[12712] = 71,
		[772] = 71,
		[174737] = 71,
		[165383] = 72,
		[12950] = 72,
		[46915] = 72,
		[86110] = 72,
		[169679] = 72,
		[169683] = 72,
		[81099] = 72,
		[85288] = 72,
		[12323] = 72,
		[100130] = 72,
		[23881] = 72,
		[23588] = 72,
		[46917] = 72,
		[152276] = 73,
		[159362] = 73,
		[165393] = 73,
		[114192] = 73,
		[76857] = 73,
		[161798] = 73,
		[84608] = 73,
		[1160] = 73,
		[86535] = 73,
		[871] = 73,
		[169680] = 73,
		[169685] = 73,
		[12975] = 73,
		[6572] = 73,
		[20243] = 73,
		[2565] = 73,
		[161608] = 73,
		[23922] = 73,
		[46953] = 73,
		[122509] = 73,
		[29144] = 73,
		[157497] = 73,
		[6343] = 73,
		[71] = 73,
		[157494] = 73
	}
end
--=> CREATE AURA SPEC DB
-----------------------------------------------------------------------
function weizPVP:CreateAuraSpecDB()
	weizPVP.AuraSpecDB = {
		[123040] = 256,
		[271466] = 256,
		[200183] = 257,
		[64844] = 257,
		[64901] = 257,
		[265202] = 257,
		[34433] = 258,
		[200174] = 258,
		[193223] = 258,
		[47585] = 258,
		[64044] = 258,
		[227847] = 71,
		[152277] = 71,
		[118038] = 71,
		[1719] = 72,
		[46924] = 72,
		[184364] = 72,
		[228920] = 73,
		[216331] = 65,
		[498] = 65,
		[105809] = 65,
		[31850] = 66,
		[86659] = 66,
		[204018] = 66,
		[6940] = 66,
		[204150] = 66,
		[231895] = 70,
		[184662] = 70,
		[1044] = 70,
		[853] = 70,
		[115750] = 70
	}
end
